#ifndef VIDEO_THUMBNAILER_H
#define VIDEO_THUMBNAILER_H

#include <gdk-pixbuf/gdk-pixbuf.h>

/* 
    获取单个视频文件首帧缩略图 PNG格式
    @ movie_file 输入视频文件绝对路径
    @ thumbnail_file 输出视频文件绝对路径
    @ size 等比缩放比例，以宽高中大者计算缩放比例
    功能大致同命令： ffmpeg -i xxx.mp4 -y -f mjpeg -ss 0.1 -t 0.001 -s 50*50 xxx.jpg
*/
void generate_video_thumbnail (const char *movie_file, const char *thumbnail_file, int size);

/*
    获取单个视频文件GdkPixbuf实例
    @uri 文件uri
    @ size 等比缩放比例，以宽高中大者计算缩放比例
    @return GdkPixbuf实例
*/
GdkPixbuf *generate_video_thumbnail_pixbuf (const char *uri, int size);

#endif  // VIDEO_THUMBNAILER_H
